      DOUBLE PRECISION FUNCTION XUPPER(I)
      INTEGER I
      IF( I.EQ.1 ) THEN
        XUPPER = 4.0D0
      ELSE IF( I.EQ.2 ) THEN
        XUPPER = 8.0D0
      ELSE IF( I.EQ.3 ) THEN
        XUPPER = 5.0D0
      ELSE
        XUPPER = 1.0D20
      ENDIF
      RETURN
      END
